# Generated by Django 4.0.2 on 2022-03-31 11:45

from django.db import migrations, models
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0023_make_org_required'),
    ]

    operations = [
        migrations.CreateModel(
            name='RepositoryTopic',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
            ],
        ),
        migrations.AddField(
            model_name='code',
            name='avatar_url',
            field=models.URLField(null=True),
        ),
        migrations.AddField(
            model_name='code',
            name='fork_count',
            field=models.IntegerField(default=0),
        ),
        migrations.AddField(
            model_name='code',
            name='issue_open_count',
            field=models.IntegerField(null=True),
        ),
        migrations.AddField(
            model_name='code',
            name='last_fetched_at',
            field=models.DateTimeField(db_index=True, default=django.utils.timezone.now),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='code',
            name='merge_request_open_count',
            field=models.IntegerField(null=True),
        ),
        migrations.AddField(
            model_name='code',
            name='topics',
            field=models.ManyToManyField(to='core.RepositoryTopic'),
        ),
    ]
